<html>
<head>
<title>Ogre::TerrainLayerBlendMap Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html">TerrainLayerBlendMap</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::TerrainLayerBlendMap Class Reference<div class="ingroups"><a class="el" href="group__Terrain.html">Terrain</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::TerrainLayerBlendMap" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>Class exposing an interface to a blend map for a given layer.  
 <a href="classOgre_1_1TerrainLayerBlendMap.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreTerrainLayerBlendMap_8h_source.html">OgreTerrainLayerBlendMap.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::TerrainLayerBlendMap:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1TerrainLayerBlendMap__inherit__graph.gif" border="0" usemap="#Ogre_1_1TerrainLayerBlendMap_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1TerrainLayerBlendMap_inherit__map" id="Ogre_1_1TerrainLayerBlendMap_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="53,5,144,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1TerrainLayerBlendMap-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a7ec621ee0931d9f630f800a8427c1f5d">TerrainLayerBlendMap</a> (<a class="el" href="classOgre_1_1Terrain.html">Terrain</a> *parent, <a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> layerIndex, <a class="el" href="classOgre_1_1HardwarePixelBuffer.html">HardwarePixelBuffer</a> *buf)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a7ec621ee0931d9f630f800a8427c1f5d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a06394bdf792fa1ee0c73dc0c0c7f9f58">~TerrainLayerBlendMap</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Terrain.html">Terrain</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#aac3a0664709cab419c63d86e7cdd3566">getParent</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the parent terrain.  <a href="#aac3a0664709cab419c63d86e7cdd3566"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a90f88bdb0784c24154ab6d55e18df722">getLayerIndex</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the index of the layer this is targeting.  <a href="#a90f88bdb0784c24154ab6d55e18df722"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#ab12d294404bb840b5f6a76568e5fdfdc">convertWorldToUVSpace</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;worldPos, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *outX, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *outY)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Helper method - convert a point in world space to UV space based on the terrain settings.  <a href="#ab12d294404bb840b5f6a76568e5fdfdc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a44ac5a3109a4234a298392e43df2edf0">convertUVToWorldSpace</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> x, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> y, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> *outWorldPos)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Helper method - convert a point in local space to worldspace based on the terrain settings.  <a href="#a44ac5a3109a4234a298392e43df2edf0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a6d4912bb1b2e90443ca6ff3ecef9d57b">convertUVToImageSpace</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> x, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> y, size_t *outX, size_t *outY)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert local space values (0,1) to image space (0, imageSize).  <a href="#a6d4912bb1b2e90443ca6ff3ecef9d57b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a8a50367f64f892ae402429f5f1926a60">convertImageToUVSpace</a> (size_t x, size_t y, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *outX, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *outY)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert image space (0, imageSize) to local space values (0,1).  <a href="#a8a50367f64f892ae402429f5f1926a60"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#abe74e7c92015442d95044887b492875d">convertImageToTerrainSpace</a> (size_t x, size_t y, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *outX, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *outY)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert image space (0, imageSize) to terrain space values (0,1).  <a href="#abe74e7c92015442d95044887b492875d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#ad7648915beabaa57229cfdfd4f9dd7dd">convertTerrainToImageSpace</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> x, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> y, size_t *outX, size_t *outY)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert terrain space values (0,1) to image space (0, imageSize).  <a href="#ad7648915beabaa57229cfdfd4f9dd7dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#aeb38f19289a5824a92f3d86d4d0c34f8">getBlendValue</a> (size_t x, size_t y)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a single value of blend information, in image space.  <a href="#aeb38f19289a5824a92f3d86d4d0c34f8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a7f00a78f9c0eac408e87ebed4458546d">setBlendValue</a> (size_t x, size_t y, float val)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a single value of blend information (0 = transparent, 255 = solid)  <a href="#a7f00a78f9c0eac408e87ebed4458546d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">float *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a7a2e86bf826528459f4c9813d9f11b18">getBlendPointer</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a pointer to the whole blend data.  <a href="#a7a2e86bf826528459f4c9813d9f11b18"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#afc1e25e221980f7b3ce696dfc22223ca">dirty</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicate that all of the blend data is dirty and needs updating.  <a href="#afc1e25e221980f7b3ce696dfc22223ca"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#aa1746e4fe6ba9de17b626c1d44f56879">dirtyRect</a> (const <a class="el" href="group__General.html#gae714035a753a8f484650598dc4143db8">Rect</a> &amp;rect)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicate that a portion of the blend data is dirty and needs updating.  <a href="#aa1746e4fe6ba9de17b626c1d44f56879"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a59d79d1b5da14f42d93cdea553d50b5b">blit</a> (const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;src, const <a class="el" href="structOgre_1_1Box.html">Box</a> &amp;dstBox)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Blits a set of values into a region on the blend map.  <a href="#a59d79d1b5da14f42d93cdea553d50b5b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a4e753bc130ea3731f71f90ab9c8f53c5">blit</a> (const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;src)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Blits a set of values into the entire map.  <a href="#a4e753bc130ea3731f71f90ab9c8f53c5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a69fc5e9bc78cbd909bdcc5b535c9c60a">loadImage</a> (const <a class="el" href="classOgre_1_1Image.html">Image</a> &amp;img)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Load an image into this blend layer.  <a href="#a69fc5e9bc78cbd909bdcc5b535c9c60a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a92ecf7cbb439798c01a2de1596d2c32d">loadImage</a> (<a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;stream, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;ext=<a class="el" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Load an image into this blend layer.  <a href="#a92ecf7cbb439798c01a2de1596d2c32d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#ae9713419de094e337f0dcef41dd9302d">loadImage</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;groupName)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Load an image into this blend layer.  <a href="#ae9713419de094e337f0dcef41dd9302d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a7b84ae6db639c23977a433047ec955bb">update</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Publish any changes you made to the blend data back to the blend map.  <a href="#a7b84ae6db639c23977a433047ec955bb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a6a254c8b2c5be6c8b944364ab08fcddd">download</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a792b8ef34d78e7b27a2824f2dd6e0950">upload</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Terrain.html">Terrain</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a42e5b0108901f14435d4466e893d024d">mParent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a14c104352a8d2b06d891f99679e3e9dc">mLayerIdx</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a0f6b814b852b0d4646ee1de61ab3541f">mChannel</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#aef9d829eacad0e5a7c9aa04d728ef27a">mChannelOffset</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1Box.html">Box</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a3e38361219504daeaf53c09b93c07598">mDirtyBox</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a44410031b859e531c33bfdcb3a166452">mDirty</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">HardwarePixelBuffer</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a40dcdac7212ac7d58bd460f4b4bf5c06">mBuffer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">float *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a859440a85cbd4a328efbfc218462d6bb">mData</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Class exposing an interface to a blend map for a given layer. </p>
<p>Each layer after the first layer in a terrain has a blend map which expresses how it is alpha blended with the layers beneath. Internally, this blend map is packed into one channel of an RGB or RGBA texture in order to use the smallest number of samplers, but this class allows a caller to manipulate the data more easily without worrying about this packing. Also, the values you use to interact with the blend map are floating point, which gives you full precision for updating, but in fact the values are packed into 8-bit integers in the actual blend map. </p>
<dl class="user"><dt><b></b></dt><dd>You shouldn't construct this class directly, use <a class="el" href="classOgre_1_1Terrain.html#a68d05f4414e020b6eed2c4f90888b6fd" title="Retrieve the layer blending map for a given layer, which may be used to edit the blending information...">Terrain::getLayerBlendMap()</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreTerrainLayerBlendMap_8h_source.html#l00061">61</a> of file <a class="el" href="OgreTerrainLayerBlendMap_8h_source.html">OgreTerrainLayerBlendMap.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a7ec621ee0931d9f630f800a8427c1f5d"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::TerrainLayerBlendMap" ref="a7ec621ee0931d9f630f800a8427c1f5d" args="(Terrain *parent, uint8 layerIndex, HardwarePixelBuffer *buf)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a7ec621ee0931d9f630f800a8427c1f5d">Ogre::TerrainLayerBlendMap::TerrainLayerBlendMap</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Terrain.html">Terrain</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td>
          <td class="paramname"><em>layerIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">HardwarePixelBuffer</a> *&#160;</td>
          <td class="paramname"><em>buf</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>The parent terrain </td></tr>
    <tr><td class="paramname">layerIndex</td><td>The layer index (should be 1 or higher) </td></tr>
    <tr><td class="paramname">box</td><td>The region of the blend map to address (in image space) </td></tr>
    <tr><td class="paramname">buf</td><td>The buffer holding the data </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a06394bdf792fa1ee0c73dc0c0c7f9f58"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::~TerrainLayerBlendMap" ref="a06394bdf792fa1ee0c73dc0c0c7f9f58" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a06394bdf792fa1ee0c73dc0c0c7f9f58">Ogre::TerrainLayerBlendMap::~TerrainLayerBlendMap</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a59d79d1b5da14f42d93cdea553d50b5b"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::blit" ref="a59d79d1b5da14f42d93cdea553d50b5b" args="(const PixelBox &amp;src, const Box &amp;dstBox)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a59d79d1b5da14f42d93cdea553d50b5b">Ogre::TerrainLayerBlendMap::blit</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;&#160;</td>
          <td class="paramname"><em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1Box.html">Box</a> &amp;&#160;</td>
          <td class="paramname"><em>dstBox</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Blits a set of values into a region on the blend map. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">src</td><td><a class="el" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a> containing the source pixels and format </td></tr>
    <tr><td class="paramname">dstBox</td><td><a class="el" href="classOgre_1_1Image.html#abd443d16124b2b012b77a282f2af909a">Image::Box</a> describing the destination region in this map </td></tr>
  </table>
  </dd>
</dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The source and destination regions dimensions don't have to match, in which case scaling is done. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>You can call this method in a background thread if you want. You still need to call <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a7b84ae6db639c23977a433047ec955bb" title="Publish any changes you made to the blend data back to the blend map.">update()</a> to commit the changes to the GPU. </dd></dl>

</div>
</div>
<a class="anchor" id="a4e753bc130ea3731f71f90ab9c8f53c5"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::blit" ref="a4e753bc130ea3731f71f90ab9c8f53c5" args="(const PixelBox &amp;src)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a59d79d1b5da14f42d93cdea553d50b5b">Ogre::TerrainLayerBlendMap::blit</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;&#160;</td>
          <td class="paramname"><em>src</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Blits a set of values into the entire map. </p>
<p>The source data is scaled if needed. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">src</td><td><a class="el" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory.">PixelBox</a> containing the source pixels and format </td></tr>
  </table>
  </dd>
</dl>
<dl class="note"><dt><b>Note:</b></dt><dd>You can call this method in a background thread if you want. You still need to call <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a7b84ae6db639c23977a433047ec955bb" title="Publish any changes you made to the blend data back to the blend map.">update()</a> to commit the changes to the GPU. </dd></dl>

</div>
</div>
<a class="anchor" id="abe74e7c92015442d95044887b492875d"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::convertImageToTerrainSpace" ref="abe74e7c92015442d95044887b492875d" args="(size_t x, size_t y, Real *outX, Real *outY)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#abe74e7c92015442d95044887b492875d">Ogre::TerrainLayerBlendMap::convertImageToTerrainSpace</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *&#160;</td>
          <td class="paramname"><em>outX</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *&#160;</td>
          <td class="paramname"><em>outY</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convert image space (0, imageSize) to terrain space values (0,1). </p>

</div>
</div>
<a class="anchor" id="a8a50367f64f892ae402429f5f1926a60"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::convertImageToUVSpace" ref="a8a50367f64f892ae402429f5f1926a60" args="(size_t x, size_t y, Real *outX, Real *outY)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a8a50367f64f892ae402429f5f1926a60">Ogre::TerrainLayerBlendMap::convertImageToUVSpace</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *&#160;</td>
          <td class="paramname"><em>outX</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *&#160;</td>
          <td class="paramname"><em>outY</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convert image space (0, imageSize) to local space values (0,1). </p>

</div>
</div>
<a class="anchor" id="ad7648915beabaa57229cfdfd4f9dd7dd"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::convertTerrainToImageSpace" ref="ad7648915beabaa57229cfdfd4f9dd7dd" args="(Real x, Real y, size_t *outX, size_t *outY)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#ad7648915beabaa57229cfdfd4f9dd7dd">Ogre::TerrainLayerBlendMap::convertTerrainToImageSpace</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t *&#160;</td>
          <td class="paramname"><em>outX</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t *&#160;</td>
          <td class="paramname"><em>outY</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convert terrain space values (0,1) to image space (0, imageSize). </p>

</div>
</div>
<a class="anchor" id="a6d4912bb1b2e90443ca6ff3ecef9d57b"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::convertUVToImageSpace" ref="a6d4912bb1b2e90443ca6ff3ecef9d57b" args="(Real x, Real y, size_t *outX, size_t *outY)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a6d4912bb1b2e90443ca6ff3ecef9d57b">Ogre::TerrainLayerBlendMap::convertUVToImageSpace</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t *&#160;</td>
          <td class="paramname"><em>outX</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t *&#160;</td>
          <td class="paramname"><em>outY</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convert local space values (0,1) to image space (0, imageSize). </p>

</div>
</div>
<a class="anchor" id="a44ac5a3109a4234a298392e43df2edf0"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::convertUVToWorldSpace" ref="a44ac5a3109a4234a298392e43df2edf0" args="(Real x, Real y, Vector3 *outWorldPos)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a44ac5a3109a4234a298392e43df2edf0">Ogre::TerrainLayerBlendMap::convertUVToWorldSpace</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> *&#160;</td>
          <td class="paramname"><em>outWorldPos</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Helper method - convert a point in local space to worldspace based on the terrain settings. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">x,y</td><td>Local position, ranging from 0 to 1, top/bottom, left/right. </td></tr>
    <tr><td class="paramname">outWorldPos</td><td>Pointer will be filled in with the world space value </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab12d294404bb840b5f6a76568e5fdfdc"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::convertWorldToUVSpace" ref="ab12d294404bb840b5f6a76568e5fdfdc" args="(const Vector3 &amp;worldPos, Real *outX, Real *outY)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#ab12d294404bb840b5f6a76568e5fdfdc">Ogre::TerrainLayerBlendMap::convertWorldToUVSpace</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>worldPos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *&#160;</td>
          <td class="paramname"><em>outX</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *&#160;</td>
          <td class="paramname"><em>outY</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Helper method - convert a point in world space to UV space based on the terrain settings. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">worldPos</td><td>World position </td></tr>
    <tr><td class="paramname">outX,outY</td><td>Pointers to variables which will be filled in with the local UV space value. Note they are deliberately signed Real values, because the point you supply may be outside of image space and may be between texels. The values will range from 0 to 1, top/bottom, left/right. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="afc1e25e221980f7b3ce696dfc22223ca"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::dirty" ref="afc1e25e221980f7b3ce696dfc22223ca" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#afc1e25e221980f7b3ce696dfc22223ca">Ogre::TerrainLayerBlendMap::dirty</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Indicate that all of the blend data is dirty and needs updating. </p>

</div>
</div>
<a class="anchor" id="aa1746e4fe6ba9de17b626c1d44f56879"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::dirtyRect" ref="aa1746e4fe6ba9de17b626c1d44f56879" args="(const Rect &amp;rect)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#aa1746e4fe6ba9de17b626c1d44f56879">Ogre::TerrainLayerBlendMap::dirtyRect</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__General.html#gae714035a753a8f484650598dc4143db8">Rect</a> &amp;&#160;</td>
          <td class="paramname"><em>rect</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Indicate that a portion of the blend data is dirty and needs updating. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">rect</td><td><a class="el" href="structOgre_1_1Rectangle.html">Rectangle</a> in image space </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6a254c8b2c5be6c8b944364ab08fcddd"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::download" ref="a6a254c8b2c5be6c8b944364ab08fcddd" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a6a254c8b2c5be6c8b944364ab08fcddd">Ogre::TerrainLayerBlendMap::download</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a7a2e86bf826528459f4c9813d9f11b18"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::getBlendPointer" ref="a7a2e86bf826528459f4c9813d9f11b18" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float* <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a7a2e86bf826528459f4c9813d9f11b18">Ogre::TerrainLayerBlendMap::getBlendPointer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a pointer to the whole blend data. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method allows you to get a raw pointer to all the blend data, to update it as you like. However, you must then call dirtyRect manually if you want those changes to be recognised. </dd></dl>

</div>
</div>
<a class="anchor" id="aeb38f19289a5824a92f3d86d4d0c34f8"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::getBlendValue" ref="aeb38f19289a5824a92f3d86d4d0c34f8" args="(size_t x, size_t y)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#aeb38f19289a5824a92f3d86d4d0c34f8">Ogre::TerrainLayerBlendMap::getBlendValue</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a single value of blend information, in image space. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">x,y</td><td>Coordinates of the point of data to get, in image space (top down) </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>The blend data </dd></dl>

</div>
</div>
<a class="anchor" id="a90f88bdb0784c24154ab6d55e18df722"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::getLayerIndex" ref="a90f88bdb0784c24154ab6d55e18df722" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a90f88bdb0784c24154ab6d55e18df722">Ogre::TerrainLayerBlendMap::getLayerIndex</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the index of the layer this is targeting. </p>

<p>Definition at line <a class="el" href="OgreTerrainLayerBlendMap_8h_source.html#l00088">88</a> of file <a class="el" href="OgreTerrainLayerBlendMap_8h_source.html">OgreTerrainLayerBlendMap.h</a>.</p>

</div>
</div>
<a class="anchor" id="aac3a0664709cab419c63d86e7cdd3566"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::getParent" ref="aac3a0664709cab419c63d86e7cdd3566" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Terrain.html">Terrain</a>* <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#aac3a0664709cab419c63d86e7cdd3566">Ogre::TerrainLayerBlendMap::getParent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the parent terrain. </p>

<p>Definition at line <a class="el" href="OgreTerrainLayerBlendMap_8h_source.html#l00086">86</a> of file <a class="el" href="OgreTerrainLayerBlendMap_8h_source.html">OgreTerrainLayerBlendMap.h</a>.</p>

</div>
</div>
<a class="anchor" id="a69fc5e9bc78cbd909bdcc5b535c9c60a"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::loadImage" ref="a69fc5e9bc78cbd909bdcc5b535c9c60a" args="(const Image &amp;img)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a69fc5e9bc78cbd909bdcc5b535c9c60a">Ogre::TerrainLayerBlendMap::loadImage</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Image.html">Image</a> &amp;&#160;</td>
          <td class="paramname"><em>img</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Load an image into this blend layer. </p>

</div>
</div>
<a class="anchor" id="a92ecf7cbb439798c01a2de1596d2c32d"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::loadImage" ref="a92ecf7cbb439798c01a2de1596d2c32d" args="(DataStreamPtr &amp;stream, const String &amp;ext=StringUtil::BLANK)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a69fc5e9bc78cbd909bdcc5b535c9c60a">Ogre::TerrainLayerBlendMap::loadImage</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>ext</em> = <code><a class="el" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Load an image into this blend layer. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">stream</td><td>Stream containing the image data </td></tr>
    <tr><td class="paramname">ext</td><td>Extension identifying the image type, if the stream data doesn't identify </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae9713419de094e337f0dcef41dd9302d"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::loadImage" ref="ae9713419de094e337f0dcef41dd9302d" args="(const String &amp;filename, const String &amp;groupName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a69fc5e9bc78cbd909bdcc5b535c9c60a">Ogre::TerrainLayerBlendMap::loadImage</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>groupName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Load an image into this blend layer. </p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7f00a78f9c0eac408e87ebed4458546d"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::setBlendValue" ref="a7f00a78f9c0eac408e87ebed4458546d" args="(size_t x, size_t y, float val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a7f00a78f9c0eac408e87ebed4458546d">Ogre::TerrainLayerBlendMap::setBlendValue</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>val</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set a single value of blend information (0 = transparent, 255 = solid) </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">x,y</td><td>Coordinates of the point of data to get, in image space (top down) </td></tr>
    <tr><td class="paramname">val</td><td>The blend value to set (0..1) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a7b84ae6db639c23977a433047ec955bb"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::update" ref="a7b84ae6db639c23977a433047ec955bb" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a7b84ae6db639c23977a433047ec955bb">Ogre::TerrainLayerBlendMap::update</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Publish any changes you made to the blend data back to the blend map. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>Can only be called in the main render thread. </dd></dl>

</div>
</div>
<a class="anchor" id="a792b8ef34d78e7b27a2824f2dd6e0950"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::upload" ref="a792b8ef34d78e7b27a2824f2dd6e0950" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a792b8ef34d78e7b27a2824f2dd6e0950">Ogre::TerrainLayerBlendMap::upload</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a40dcdac7212ac7d58bd460f4b4bf5c06"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::mBuffer" ref="a40dcdac7212ac7d58bd460f4b4bf5c06" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwarePixelBuffer.html">HardwarePixelBuffer</a>* <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a40dcdac7212ac7d58bd460f4b4bf5c06">Ogre::TerrainLayerBlendMap::mBuffer</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainLayerBlendMap_8h_source.html#l00070">70</a> of file <a class="el" href="OgreTerrainLayerBlendMap_8h_source.html">OgreTerrainLayerBlendMap.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0f6b814b852b0d4646ee1de61ab3541f"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::mChannel" ref="a0f6b814b852b0d4646ee1de61ab3541f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a0f6b814b852b0d4646ee1de61ab3541f">Ogre::TerrainLayerBlendMap::mChannel</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainLayerBlendMap_8h_source.html#l00066">66</a> of file <a class="el" href="OgreTerrainLayerBlendMap_8h_source.html">OgreTerrainLayerBlendMap.h</a>.</p>

</div>
</div>
<a class="anchor" id="aef9d829eacad0e5a7c9aa04d728ef27a"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::mChannelOffset" ref="aef9d829eacad0e5a7c9aa04d728ef27a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#aef9d829eacad0e5a7c9aa04d728ef27a">Ogre::TerrainLayerBlendMap::mChannelOffset</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainLayerBlendMap_8h_source.html#l00067">67</a> of file <a class="el" href="OgreTerrainLayerBlendMap_8h_source.html">OgreTerrainLayerBlendMap.h</a>.</p>

</div>
</div>
<a class="anchor" id="a859440a85cbd4a328efbfc218462d6bb"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::mData" ref="a859440a85cbd4a328efbfc218462d6bb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float* <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a859440a85cbd4a328efbfc218462d6bb">Ogre::TerrainLayerBlendMap::mData</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainLayerBlendMap_8h_source.html#l00071">71</a> of file <a class="el" href="OgreTerrainLayerBlendMap_8h_source.html">OgreTerrainLayerBlendMap.h</a>.</p>

</div>
</div>
<a class="anchor" id="a44410031b859e531c33bfdcb3a166452"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::mDirty" ref="a44410031b859e531c33bfdcb3a166452" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a44410031b859e531c33bfdcb3a166452">Ogre::TerrainLayerBlendMap::mDirty</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainLayerBlendMap_8h_source.html#l00069">69</a> of file <a class="el" href="OgreTerrainLayerBlendMap_8h_source.html">OgreTerrainLayerBlendMap.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3e38361219504daeaf53c09b93c07598"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::mDirtyBox" ref="a3e38361219504daeaf53c09b93c07598" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1Box.html">Box</a> <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a3e38361219504daeaf53c09b93c07598">Ogre::TerrainLayerBlendMap::mDirtyBox</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainLayerBlendMap_8h_source.html#l00068">68</a> of file <a class="el" href="OgreTerrainLayerBlendMap_8h_source.html">OgreTerrainLayerBlendMap.h</a>.</p>

</div>
</div>
<a class="anchor" id="a14c104352a8d2b06d891f99679e3e9dc"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::mLayerIdx" ref="a14c104352a8d2b06d891f99679e3e9dc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a14c104352a8d2b06d891f99679e3e9dc">Ogre::TerrainLayerBlendMap::mLayerIdx</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainLayerBlendMap_8h_source.html#l00065">65</a> of file <a class="el" href="OgreTerrainLayerBlendMap_8h_source.html">OgreTerrainLayerBlendMap.h</a>.</p>

</div>
</div>
<a class="anchor" id="a42e5b0108901f14435d4466e893d024d"></a><!-- doxytag: member="Ogre::TerrainLayerBlendMap::mParent" ref="a42e5b0108901f14435d4466e893d024d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Terrain.html">Terrain</a>* <a class="el" href="classOgre_1_1TerrainLayerBlendMap.html#a42e5b0108901f14435d4466e893d024d">Ogre::TerrainLayerBlendMap::mParent</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainLayerBlendMap_8h_source.html#l00064">64</a> of file <a class="el" href="OgreTerrainLayerBlendMap_8h_source.html">OgreTerrainLayerBlendMap.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreTerrainLayerBlendMap_8h_source.html">OgreTerrainLayerBlendMap.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:12
</p>
</body>
</html>
